#projects{
    width: 90vw;
    height: 40vh;
    position: absolute;
    top: 35vh;
    left: 5vw;
}

tr{
    height: 5vh;
}

td{
    width: 30vw;
}

.project{
    --boxblur: 2vh;
    --blur: 1vh;

    width: 20vw;
    height: 30vh;
    left: 5vw;

    position: relative;

    float: left;
    font-size: 3vh;

    box-sizing: border-box;
    box-shadow:0 0 0 var(--boxblur) var(--color1) inset;

    /*background-color: var(--bg);*/
    text-align: center;

    animation-name: color, boxshadow, shadow;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;

    z-index: 10;
}

.projdiv{
    width: 100%;
    height: 80%;
    top: 0;

    position: relative;
}

.projectdesc{
    visibility: hidden;
    line-height: normal;
    display: table;
}

.projectdesc p{

 }

.projectdesc, .projecttitle{
    position: absolute;
    width: 100%;
    height: 100%;
}

.projectdesc p, .projecttitle{
    animation-name: color;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;

    display: table-cell;
    vertical-align: middle;
    text-align: center;
}

.projectdesc p::selection, .projecttitle::selection, .projectlink::selection{
    color: white;
}

.project::selection{
    background-color: var(--bgselect);
}

.filler{
    width: 20vw;
    height: calc(0.2 * 30vh);
    line-height: calc(0.2 * 30vh);

    text-align: center;

    animation-name: bg, color;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;
}

.project:hover{
    --boxblur: 0.5vh;
    --blur: 1vh;
}

.project:hover .projectdesc{
    visibility: visible;
}

.project:hover .projecttitle{
    visibility: hidden;
}

i, .hl, #disclaimer{
    animation-name: color;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;
}

.hl{
    filter: invert(0.75);
    text-shadow: none;
}

#disclaimer{
    font-size: 2vh;
    width: 20vw;
    position: absolute;
    top: 2vh;
    left: 1vw;
}

@media (max-aspect-ratio: 3/2){
    .projectdesc{
        font-size: 2.4vh;
    }

    #disclaimer{
        width: 80vw;
        left: 10vw;
    }
}

@media (orientation:portrait){

    #projects{
        top: 20vh;
    }

    table tr td{
        width: 80vw;
        height: 20vh;
        display: block;
    }

    .project{
        width: 80vw;
        height: 15vh;
    }

    .projectdesc{
        font-size: 2.5vh;
    }

    .projectlink, .filler{
        width: 80vw;
    }

    #disclaimer{
        width: 90vw;
        left: 5vw;
    }
}